Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.schema
Class SOMGroup

    java.lang.Object
      |
      +--com.bea.schema.SOMObject
            |
            +--com.bea.schema.SOMGroupType
                  |
                  +--com.bea.schema.SOMGroup

public class SOMGroup
extends SOMGroupType
implements SOMReference

<group> The XML representation for a model group definition schema component is a <group> element information item. It provides for naming a model group for use by reference in the XML representation of complex type definitions and model groups.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Fields inherited from class com.bea.schema.SOMGroupType
`m_childElements`

Constructor Summary
`` | `SOMGroup()`
`protected` | `SOMGroup(org.xml.sax.Attributes attrs, SOMObject parent)` constructor for use with SAX parser, loading SOM from a file.
`` | `SOMGroup(SOMGroup reference)`
`` | `SOMGroup(java.lang.String name)`

Method Summary
`SOMAll` | `add(SOMAll p_all)`
`SOMAny` | `add(SOMAny p_any)` An <any> is an illegal child element for <group>.
`SOMChoice` | `add(SOMChoice p_choice)`
`SOMElement` | `add(SOMElement p_element)` An <element> is an illegal child element for <group>.
`SOMGroup` | `add(SOMGroup p_group)`
`SOMSequence` | `add(SOMSequence p_sequence)`
`void` | `createDefault(DefaultDocumentOptions options, org.w3c.dom.Element current)`
`java.util.Map` | `getAttributes(boolean getAll)` retrieve the attributes for this schema element.
`java.lang.String` | `getID()`
`java.lang.String` | `getName()`
`SOMReference` | `getRef()`
`boolean` | `isRef()` Is this element a reference to another element.
`void` | `setName(java.lang.String name)`
`void` | `setRef(SOMReference ref)` set the "ref" attribute.
`void` | `setRef(SOMUnresolvedReference ref)` set the element to which this element should reference.
`protected boolean` | `startsWith(org.w3c.dom.Node element)`
`void` | `toXML(java.io.Writer rtn, int indent)`
`protected org.w3c.dom.Node` | `validate(org.w3c.dom.Node element, java.util.List errorList)`

Methods inherited from class com.bea.schema.SOMGroupType
`addAnnotation, addChild, addElement, addElement, contains, getAnnotation, getChildren, getChildrenString, getMaxOccurs, getMaxOccursString, getMinOccurs, getMinOccursString, remove, removeAnnotation, setMaxOccurs, setMaxOccurs, setMinOccurs, setMinOccurs, validateOccurances`

Methods inherited from class com.bea.schema.SOMObject
`addPrefixMapping, attributesToXML, collectEffectivePrefixMappings, doIndent, getContainmentXPath, getEffectivePrefixMappings, getID_UQ, getParent, getParentName, getParentSchema, getPrefixForTargetNamespace, getTargetNamespace, getURIForPrefix, isCircularReference, isSchemaChild, namespacePrefixesToXML, removeNamespaceQualifier, removePrefixMapping, setIndent, setParent, toString, toXML, toXML, toXML, trace, trace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SOMGroup

    public SOMGroup()

### SOMGroup

    public SOMGroup(java.lang.String name)

### SOMGroup

    public SOMGroup(SOMGroup reference)

### SOMGroup

    protected SOMGroup(org.xml.sax.Attributes attrs,
                       SOMObject parent)

  constructor for use with SAX parser, loading SOM from a file.

  Parameters:
    `attrs` -

Method Detail

### getID

    public java.lang.String getID()

  Specified by:
    getID in interface SOMReference

  Overrides:
    getID in class SOMObject

### getName

    public java.lang.String getName()

  Specified by:
    getName in interface SOMReference

### isRef

    public boolean isRef()

  Is this element a reference to another element. If the getRef method would return null, this method will return false. Otherwise, it will return true.

  Returns:
    true if getRef method does not return null

### getRef

    public SOMReference getRef()

### setName

    public void setName(java.lang.String name)

### setRef

    public void setRef(SOMReference ref)

  set the "ref" attribute. For example, <group ref="globalGroup"> A reference to another groupo. This group inherits all the attributes of the reference group.
  Specified by:
    setRef in interface SOMReference

  Parameters:
    `ref` - the group reference

### setRef

    public void setRef(SOMUnresolvedReference ref)

  set the element to which this element should reference.

  Parameters:
    `ref` - the group to be referenced

### add

    public SOMElement add(SOMElement p_element)

  An <element> is an illegal child element for <group>. This method ALWAYS throws an IllegalArgumentException.

  Parameters:
    `p_any` - not applicable
  Returns:
    not applicable
  Overrides:
    add in class SOMGroupType

### add

    public SOMChoice add(SOMChoice p_choice)

  Overrides:
    add in class SOMGroupType

### add

    public SOMGroup add(SOMGroup p_group)

  Overrides:
    add in class SOMGroupType

### add

    public SOMSequence add(SOMSequence p_sequence)

  Overrides:
    add in class SOMGroupType

### add

    public SOMAll add(SOMAll p_all)

  Overrides:
    add in class SOMGroupType

### add

    public SOMAny add(SOMAny p_any)

  An <any> is an illegal child element for <group>. This method ALWAYS throws an IllegalArgumentException.

  Parameters:
    `p_any` - not applicable
  Returns:
    not applicable
  Overrides:
    add in class SOMGroupType

### getAttributes

    public java.util.Map getAttributes(boolean getAll)

  retrieve the attributes for this schema element. If getAll is false, only the attributes that are not set to their default value are returned. If getAll is true, all possible attributes for this element will be returned.

  Parameters:
    `getAll` - get all attributes
  Returns:
    a Hashtable of attributes, where the attribute name and value are stored as strings.
  Overrides:
    getAttributes in class SOMGroupType

### toXML

    public void toXML(java.io.Writer rtn,
                      int indent)
               throws java.io.IOException

  Overrides:
    toXML in class SOMGroupType

### createDefault

    public void createDefault(DefaultDocumentOptions options,
                              org.w3c.dom.Element current)

  Overrides:
    createDefault in class SOMGroupType

### validate

    protected org.w3c.dom.Node validate(org.w3c.dom.Node element,
                                        java.util.List errorList)

  Overrides:
    validate in class SOMGroupType

### startsWith

    protected boolean startsWith(org.w3c.dom.Node element)

  Overrides:
    startsWith in class SOMGroupType

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)